Multiple Mozilla products XML.prototype.hasOwnProperty code execution

mozilla-xmlprototype-code-execution (30093) The risk level is classified as HighHigh Risk

Description:

Mozilla Firefox, Thunderbird and SeaMonkey could allow a remote attacker to execute arbitrary code on the system caused by improper handling of the XML.prototype.hasOwnProperty() method. If JavaScript is enabled, a remote attacker could exploit this vulnerability to corrupt memory and execute arbitrary code on the system or cause the browser to crash, if the attacker could persuade the victim to visit a malicious Web page or open a malicious email.

*CVSS:

Base Score: 5.6
  Access Vector: Remote
  Access Complexity: High
  Authentication: Not Required
  Confidentiality Impact: Partial
  Integrity Impact: Partial
  Availability Impact: Partial
 
Temporal Score: 4.1
  Exploitability: Unproven
  Remediation Level: Official-Fix
  Report Confidence: Confirmed

Consequences:

Gain Access

Remedy:

Refer to Mozilla Foundation Security Advisory 2006-64 for upgrade or suggested workaround information. See References.

For Gentoo Linux (Thunderbird):
Refer to Gentoo Linux Security Announcement GLSA 200612-06 for patch, upgrade, or suggested workaround information. See References.

For Gentoo Linux (Firefox):
Refer to Gentoo Linux Security Announcement GLSA 200612-07 for patch, upgrade, or suggested workaround information. See References.

For Gentoo Linux (SeaMonkey):
Refer to Gentoo Linux Security Announcement GLSA 200612-08 for patch, upgrade, or suggested workaround information. See References.

References:

  • MFSA 2006-65: Crashes with evidence of memory corruption (rv:1.8.0.8).
  • ASA-2006-244: thunderbird security update (RHSA-2006-0735)
  • ASA-2006-246: firefox security update (RHSA-2006-0733)
  • ASA-2006-247: seamonkey security update (RHSA-2006-0734)
  • ASA-2007-097: HP-UX Running Firefox Remote Unauthorized Access or Elevation of Privileges or Denial of Service (DoS) (HPSBUX02153)
  • BID-20957: Mozilla Client Products Multiple Remote Vulnerabilities
  • CVE-2006-5747: Unspecified vulnerability in Mozilla Firefox before 1.5.0.8, Thunderbird before 1.5.0.8, and SeaMonkey before 1.0.6 allows remote attackers to execute arbitrary code via the XML.prototype.hasOwnProperty JavaScript function.
  • GLSA-200612-06: Mozilla Thunderbird: Multiple vulnerabilities
  • GLSA-200612-07: Mozilla Firefox: Multiple vulnerabilities
  • GLSA-200612-08: SeaMonkey: Multiple vulnerabilities
  • MDKSA-2006:205: Updated Firefox packages fix multiple vulnerabilities
  • MDKSA-2006:206: Updated Thunderbird packages fix multiple vulnerabilities
  • RHSA-2006-0733: Critical: firefox security update
  • RHSA-2006-0734: Critical: seamonkey security update
  • RHSA-2006-0735: Critical: thunderbird security update
  • SA22722: Mozilla Firefox and SeaMonkey Multiple Vulnerabilities
  • SA22770: Mozilla Thunderbird Multiple Vulnerabilities
  • SA22965: Avaya Messaging Storage Server Firefox Multiple Vulnerabilities
  • SA24711: Netscape Multiple Vulnerabilities
  • SECTRACK ID: 1017177: Mozilla Seamonkey Layout Engine, XML Method, and JavaScript Engine Memory Errors May Let Remote Users Execute Arbitrary Code
  • SECTRACK ID: 1017178: Mozilla Thunderbird Layout Engine, XML Method, and JavaScript Engine Memory Errors May Let Remote Users Execute Arbitrary Code
  • SECTRACK ID: 1017179: Mozilla Firefox Layout Engine, XML Method, and JavaScript Engine Memory Errors May Let Remote Users Execute Arbitrary Code
  • SUSE-SA:2006:068: Mozilla Firefox 1.5.0.8 release
  • US-CERT VU#815432: Mozilla XML.prototype.hasOwnProperty() method memory corruption vulnerability
  • USN-381-1: Firefox vulnerabilities
  • USN-382-1: Thunderbird vulnerabilities

Platforms Affected:

  • Canonical Ubuntu 5.10
  • Canonical Ubuntu 6.06 LTS
  • Canonical Ubuntu 6.10
  • Gentoo Linux
  • MandrakeSoft Mandrake Linux 2007
  • MandrakeSoft Mandrake Linux 2007 X86_64
  • MandrakeSoft Mandrake Linux Corporate Server 3.0
  • MandrakeSoft Mandrake Linux Corporate Server 3.0 X86_64
  • MandrakeSoft Mandrake Linux Corporate Server 4.0
  • MandrakeSoft Mandrake Linux Corporate Server 4.0 X86_64
  • Mozilla Firefox 1.5
  • Mozilla Firefox 1.5 Beta1
  • Mozilla Firefox 1.5 Beta2
  • Mozilla Firefox 1.5.0.1
  • Mozilla Firefox 1.5.0.2
  • Mozilla Firefox 1.5.0.3
  • Mozilla Firefox 1.5.0.4
  • Mozilla Firefox 1.5.0.5
  • Mozilla Firefox 1.5.0.6
  • Mozilla Firefox 1.5.0.7
  • Mozilla SeaMonkey 1.0
  • Mozilla SeaMonkey 1.0 Dev
  • Mozilla SeaMonkey 1.0.1
  • Mozilla SeaMonkey 1.0.2
  • Mozilla SeaMonkey 1.0.3
  • Mozilla SeaMonkey 1.0.5
  • Mozilla Thunderbird 1.0
  • Mozilla Thunderbird 1.0.1
  • Mozilla Thunderbird 1.0.2
  • Mozilla Thunderbird 1.0.5
  • Mozilla Thunderbird 1.0.6
  • Mozilla Thunderbird 1.0.7
  • Mozilla Thunderbird 1.0.8
  • Mozilla Thunderbird 1.5
  • Mozilla Thunderbird 1.5 Beta2
  • Mozilla Thunderbird 1.5.0.1
  • Mozilla Thunderbird 1.5.0.2
  • Mozilla Thunderbird 1.5.0.4
  • Mozilla Thunderbird 1.5.0.7
  • Novell Linux Desktop 9
  • RedHat Enterprise Linux 2.1 AS
  • RedHat Enterprise Linux 2.1 WS
  • RedHat Enterprise Linux 2.1 ES
  • RedHat Enterprise Linux 3 WS
  • RedHat Enterprise Linux 3 ES
  • RedHat Enterprise Linux 3 AS
  • RedHat Enterprise Linux 3 Desktop
  • RedHat Enterprise Linux 4 WS
  • RedHat Enterprise Linux 4 ES
  • RedHat Enterprise Linux 4 Desktop
  • RedHat Enterprise Linux 4 AS
  • RedHat Linux Advanced Workstation 2.1 Itanium
  • SUSE SuSE Linux 10.1
  • SuSE SuSE SLED 10
  • SuSE SuSE SLES 10

Reported:

Nov 07, 2006

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page

* According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.
The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall IBM be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

About IBM Internet Security Systems

IBM Internet Security Systems is a trusted security advisor to thousands of the world's leading businesses and governments, helping to provide pre-emptive protection for networks, desktops and servers. The IBM Proventia? integrated security platform is designed to automatically protect against both known and unknown threats, helping to keep networks up and running and shield customers from online attacks before they impact business assets. IBM Internet Security Systems products and services are based on the proactive security intelligence of its X-Force? research and development team ? an unequivocal world authority in vulnerability and threat research. The IBM Internet Security Systems product line is also complemented by comprehensive Managed Security Services and Professional Security Services. For more information, visit the IBM Internet Security Systems Web site at www.iss.net or call 800-776-2362.